> For the complete documentation index, see [llms.txt](https://docs.pliro.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pliro.co/api/versioning.md).

# Versioning

The Pliro API is versioned and all requests must include an explicit version as part of the endpoint URL. Version names are based on the date they were released. For example, version `2023-04-11` of the API was released on April 11, 2023.

Backwards-incompatible changes are made in new API versions. These changes include:

* Removing existing API endpoints.
* Removing or renaming request parameters or response object properties for existing endpoints.
* Adding required request parameters to existing endpoints or making previously optional parameters required.
* Changing the type of request parameters or response object properties for existing endpoints.
* Removing enum values from request parameters or response object properties for existing endpoints.
* Changing authentication or authorization requirements.

Backwards-compatible changes are made to all supported API versions. These changes include:

* Adding new API endpoints.
* Adding optional request parameters to existing endpoints.
* Adding optional request headers to existing endpoints.
* Adding new response object properties to existing endpoints.
* Changing the order of response object properties for existing endpoints.
* Adding new response headers to existing endpoints.
* Adding new enum values to request parameters or response object properties for existing endpoints.

## Supported versions

The API currently supports the following versions:

* `2023-04-11`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.pliro.co/api/versioning.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
